# TT - Teletype Text

Syntax | <TT>...</TT>

Attribute Specifications

- common attributes

Contents | Inline elements
Contained in | Inline elements, block-level elements

The TT element suggests that text be rendered as teletype or monospaced text. In most cases, use of a phrase element such as CODE, SAMP, or KBD is more appropriate since these elements express the meaning of the text more clearly.

Style sheets should be used to complement or replace instances of TT. For example, replacing

`<H1><TT>My heading</TT></H1>`

with

`<H1>My heading</H1>`

and

`H1 { font-family: monospace }`

in a style sheet allows the author to change the presentation of all H1 elements in an entire site by changing just one line in the style sheet.

## More Information

- TT in W3C HTML 4.0 Recommendation
- TT in W3C HTML 3.2 Recommendation
- TT in HTML 2.0 Standard
- TT in WDG HTML 3.2 Reference
- TT in Learning HTML 3.2 by Examples